{% load static %}
<link rel="stylesheet" type= "text/css" href="{% static 'stylesheet.css'%}">

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Bebas+Neue&display=swap" rel="stylesheet">

    
    <title>Note List</title>
    <!-- <style>
        .card-container{
            flex-direction: row;
        }

        .card{
            padding: 20px;
            border: 2px solid rgba(0,0,0,.125);
            margin: 2rem auto;
            display: flex;
            flex-direction: column;
            width: 100%;
            max-width: 500px;
            background-color: rgb(255, 255, 255);
            box-shadow: 0 0 15px rgba(0, 0, 0, 0.10);
            border-radius: 20px;
            padding: 20px;
            font-family: sans-serif;
        }

        .card:hover{
            background-color: rgb(228, 227, 227);
        }

        .pageFont{
            margin-top: 50px;
            display: flex;
            flex-direction: column;
            text-align: center;
            position: relative;
            font-family: 'Bebas Neue', cursive;
        }
    </style> -->
</head>
<body>
    <header class="header">
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="/lab-4">Tutuy Site</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
              <div class="navbar-nav">
                <a class="nav-item nav-link" href="/lab-4">Home</a>
                <a class="nav-item nav-link" href="/lab-4/add_note">Add Note</a>
                <a class="nav-item nav-link" href="/lab-4/note_list">Note List</a>
              </div>
            </div>
          </nav>
    </header>
    <h1 class="pageFont">List Pesan Masuk</h1>
    <div class="card-container" style="display: flex; flex-direction: row; align-items: center; flex-wrap: wrap;  justify-content: center;">
        {%for i in notes%}
        <div class="card" style="border-radius: 10px; border-color:rgb(31, 135, 184);
        border-width: 2px; margin: 10px; max-width: 300px;">
            <h2> <b>{{i.Judul}}</b></h2>
            <hr style="margin: 5px;">
            <p style="margin: 5px;">From : {{i.Dari}} </p>
            <hr style="margin: 10px;">
            <!-- <br> -->
            <p style="margin: 5px;">To : {{i.Kepada}} </p>
            <hr style="margin: 10px;">
            <!-- <br> -->
            <p style="margin: 5px;">Message : <br> <b>{{i.Pesan}} </b></p>
        </div>
        
        {%endfor%}
    </div>
</body>
</html>